<template>
  <div id="Navbar">
    <v-navigation-drawer
      v-model="drawer"
      :clipped="$vuetify.breakpoint.lgAndUp"
      app
      dark
      style="width:215px !important"
    >
      <v-list dense>
        <v-list-item>
          <template>
            <v-list-item-content>
              <v-list-item-title>
                <span>
                  <v-img
                    alt="Vuetify Name"
                    class="shrink mt-1"
                    contain
                    min-width="130"
                    src="../assets/img/paper.svg"
                    width="150"
                    style="margin-bottom:50px;margin-top:20px"
                  />
                </span>
              </v-list-item-title>
            </v-list-item-content>
          </template>
        </v-list-item>

        <template v-for="item in items">
          <v-row v-if="item.heading" :key="item.heading" align="center">
            <v-col cols="6">
              <v-subheader v-if="item.heading">
                {{ item.heading }}
              </v-subheader>
            </v-col>
            <v-col cols="6" class="text-center">
              <a href="#!" class="body-2 black--text">EDIT</a>
            </v-col>
          </v-row>

          <v-list-group
            v-else-if="item.children"
            :key="item.text"
            v-model="item.model"
            :prepend-icon="item.model ? item.icon : item['icon-alt']"
            append-icon=""
          >
            <template v-slot:activator>
              <v-list-item-content>
                <v-list-item-title>
                  {{ item.text }}
                </v-list-item-title>
              </v-list-item-content>
            </template>
            <v-list-item v-for="(child, i) in item.children" :key="i" link>
              <v-list-item-action v-if="child.icon">
                <v-icon>{{ child.icon }}</v-icon>
              </v-list-item-action>
              <v-list-item-content>
                <v-list-item-title>
                  {{ child.text }}
                </v-list-item-title>
              </v-list-item-content>
            </v-list-item>
          </v-list-group>

          <v-list-item v-else :key="item.text" link :to="item.route">
            <v-list-item-action>
              <v-icon>{{ item.icon }}</v-icon>
            </v-list-item-action>
            <v-list-item-content>
              <v-list-item-title>
                {{ item.text }}
              </v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </template>
      </v-list>
    </v-navigation-drawer>
  </div>
</template>

<script>
export default {
  name: "Navbar",
  props: {
    source: String,
  },
  created () {
    this.$vuetify.theme.dark = false
  },
  data: () => ({
    dialog: false,
    drawer: null,
    confirm: false,
    items: [
      { icon: "mdi-poll",color:"white", text: "Dashboard", route: "/dashboard" },
      { icon: "mdi-credit-card-outline", text: "Finance", route: "/finance" },
    ],
    itemsdropdown: [{ title: "Setting" }, { title: "Logout" }],
    fullname: atob(localStorage.getItem("fullname")),
    username: atob(localStorage.getItem("username")),
  }),
};
</script>
